<?php

namespace Ministra\Lib\RESTAPI\v1;

use Ministra\Lib\bd5c9022e9a9029209e5fd05775ea272\bcb5276dcc10d28aee463111bf6dfaa1;
class RESTCommandUsers extends \Ministra\Lib\RESTAPI\v1\RESTCommandAccounts
{
    public function get(\Ministra\Lib\RESTAPI\v1\RESTRequest $request)
    {
        $accounts = parent::get($request);
        if (!empty($accounts)) {
            return $accounts[0];
        }
        return $accounts;
    }
    protected function getUsersIdsFromIdentifiers($identifiers)
    {
        if (!empty($identifiers[0]) && \strlen($identifiers[0]) >= 12 && \strpos($identifiers[0], ':')) {
            return \Ministra\Lib\bd5c9022e9a9029209e5fd05775ea272\bcb5276dcc10d28aee463111bf6dfaa1::j62365df04c2c18153e9f2d23e33a05f7($identifiers);
        }
        return \Ministra\Lib\bd5c9022e9a9029209e5fd05775ea272\bcb5276dcc10d28aee463111bf6dfaa1::q55b43d3bdc7e545f72041db9aaff5ac7($identifiers);
    }
}
